<div class="modal fade modals_reset"  id="add_work_cat_modal" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog " role="document" style="max-width: 800px">
    <div class="modal-content">
      <div class="modal-header" style="background-color: #36a3f7;border-radius: 4px">
        <h5 class="modal-title" id="exampleModalLabel" style="color: #ffffff" >
          Add New work Type
        </h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">
            &times;
          </span>
        </button>
      </div>
      <form autocomplete="off" id="form_work_cat_add" data-modal-id="add_work_cat_modal" method="post"  action="<?= base_url()?>boq/create_project_work_type" enctype="multipart/form-data" id="form_add_cat" class="form_post m-form m-form--fit m-form--state m-form--label-align-right " >
        <div class="modal-body">
          <div class="m-form__content">
            <div class="m-alert m-alert--icon alert alert-warning m--hide" role="alert" id="form_work_cat_add_msg">
              <div class="m-alert__icon">
                <i class="la la-warning"></i>
              </div>
              <div class="m-alert__text">
                Oh snap! Change a few things up and try submitting again.
              </div>
              <div class="m-alert__close">
                <button type="button" class="close" data-close="alert" aria-label="Close"></button>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-lg-12" >
              <div class="form-group m-form__group">
                <label for="user_name">
                  Work Type
                </label>
                <div class="input-group m-input-group m-input-group--pill">
                  <div class="input-group-prepend">
                    <a href="#work_type_add_modal"   data-toggle="modal" data-target="#work_type_add_modal" class="btn btn-focus">
                      <i class="fa fa-plus-circle"></i>
                    </a>
                  </div>
                  <select required id="project_work_type_add" name="works_cat" style="width: 90%" class="form-control m-select2 form_work_cat_add_select" data-placeholder="Select Work">
                  </select>
                </div>
                <span class="m-form__help"></span>
              </div>
            </div>
            <input type="hidden" name="boq_id" value="<?= $boq_data->boq_id ?>">
            <input type="hidden" name="project_id" value="<?= $boq_data->project_id ?>">
            <input type="hidden" name="redirect_url" value="<?php echo base_url(uri_string())?>" >
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">
            Close
          </button>
          <button type="submit" class="btn btn-primary">
            Add
          </button>
        </div>
      </form>
    </div>
  </div>
</div>

<div class="modal modal fade modals_reset"  id="boq_task_add_modal"  role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog " role="document" style="max-width: 1200px">
    <div class="modal-content">
      <div class="modal-header" style="background-color: #36a3f7;border-radius: 4px">
        <h5 class="modal-title" id="exampleModalLabel" style="color: #ffffff" >
          Add Task
        </h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">
            &times;
          </span>
        </button>
      </div>
      <form id="form_boq_task_add" data-modal-id="boq_task_add_modal" class="form_post m-form m-form--fit m-form--state m-form--label-align-right " action="<?= base_url()?>boq/create_boq_tasks/<?= $boq_data->boq_id; ?>" method="post">
        <div class="modal-body">
          <div class="m-form__content">
            <div class="m-alert m-alert--icon alert alert-warning m--hide" role="alert" id="form_boq_task_add_msg">
              <div class="m-alert__icon">
                <i class="la la-warning"></i>
              </div>
              <div class="m-alert__text">
                Oh snap! Change a few things up and try submitting again.
              </div>
              <div class="m-alert__close">
                <button type="button" class="close" data-close="alert" aria-label="Close"></button>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-md-5">
              <div class="form-group m-form__group">
                <label for="user_name">
                  Work Type
                </label>
                <div class="m-select2 m-select2--air m-select2--pill">
                  <select style="width:100%" required class="form-control form_boq_task_add_select m-input select2" id="boq_task_work_type_add" name="work_type_id" aria-required="true" tabindex="-1"   aria-describedby="work_id-error">
                    <option required="" selected="" disabled="">Select Work Type</option>
                    <?php
                    foreach($project_work_types as $r) {
                      ?>
                      <option value="<?php echo $r->id ?>"><?php echo $r->type_name ?></option>
                    <?php }   ?>
                  </select>
                </div>
                <span class="m-form__help"></span>
              </div>
            </div>
            <div class="col-md-3">
              <div class="form-group m-form__group">
                <label for="user_name">
                  Total Quantity / Area
                </label>
                <div class="input-group m-input-group m-input-group--pill m-input-group--air">
                  <div class="input-group-prepend">
                    <span class="input-group-text" id="basic-addon1">
                      <i class="la la-edit"></i>
                    </span>
                  </div>
                  <input  required class="form-control form_boq_task_add_fields m-input client_rate_fields_add" placeholder="" id="quantity_add_task" name="quantity" aria-required="true" aria-invalid="false" aria-describedby="quantity-error">
                </div>
                <span class="m-form__help"></span>
              </div>
            </div>
            <div class="col-md-4 ">
              <div class="form-group m-form__group">
                <label for="user_name">
                  Measure Unit
                </label>
                <div class="m-select2 m-select2--air m-select2--pill">
                  <select style="width:100%"  required="" class="form-control form_boq_task_add_select m-input" id="boq_task_unit_add" name="unit" aria-required="true" tabindex="-1"   aria-describedby="">
                    <option required="" selected="" disabled="">Select Measure Unit</option>
                    <?php
                    foreach($measure_units as $r) { ?>
                      <option value="<?php echo $r->unit_id ?>"><?php echo $r->unit_name ?></option>
                    <?php }   ?>
                  </select>
                </div>
                <span class="m-form__help"></span>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-md-12">
              <div class="form-group m-form__group">
                <label for="user_name">
                  Task Description
                </label>
                <div class="input-group m-input-group m-input-group--pill m-input-group--air">
                  <textarea required="" class="form-control form_boq_task_add_fields" placeholder="Task Descriptions" name="description" id="description_add_task" aria-required="true"></textarea>
                </div>
                <span class="m-form__help"></span>
              </div>
            </div>
          </div>
          <div style="margin-top: 23px;">
            <div class="m-section">
              <h3 class="m-section__heading">Item Requirements</h3>
              <div class="m-form__group form-group">
                <div class="m-radio-inline">
                  <label class="m-radio m-radio--bold m-radio--state-success">
                    <input type="radio" name="boq_items_have_add" checked value="1"> Have Items
                    <span></span>
                  </label>
                  <label class="m-radio m-radio--bold m-radio--state-brand">
                    <input type="radio" name="boq_items_have_add" value="0"> Haven't Items
                    <span></span>
                  </label>
                </div>
                <span class="m-form__help"></span>
              </div>
              <table style="width: 100%;max-width: 100%"  id="table_boq_items_add" class="table order-list table-striped table-bordered table-advance table-hover">
                <thead>
                  <tr>
                    <th style="width:6%">Sl No</th>
                    <th style="width:20%">Item</th>
                    <th style="width:10%">Unit</th>
                    <th style="width:7%">Grade</th>
                    <th style="width:10%">Specification</th>
                    <th style="width:8%">Quantity</th>
                    <th style="width:9%">Unit Price</th>
                    <th style="width:12%">Total Price</th>
                    <th style="width:8%">Consumable<br/>Type</th>
                    <th style="width:6%"></th>
                  </tr>
                </thead>
                <tbody id="table_body">

                </tbody>
                <tfoot>
                  <tr>
                    <td colspan="11"  style="text-align: left;border-bottom: 1px solid #e7ecf1;">
                      <button type="button"  class="btn btn-block " id="addrow"><i class="fa fa-plus-square"></i> Add Item</button>
                    </td>
                  </tr>
                  <tr>
                  </tr>
                </tfoot>
              </table>
              <input type="hidden" value="0" id="current_row_count" name="current_row_count" >
            </div>
          </div>
          <div class="row">
            <div class="col-md-6"></div>
            <div class="col-md-3">
              <div class="form-group m-form__group" style="display:none" id="boq_task_unit_price_add_div">
                <label for="user_name">
                  Unit Price
                </label>
                <div class="input-group m-input-group m-input-group--pill m-input-group--air">
                  <div class="input-group-prepend">
                    <span class="input-group-text" id="basic-addon1">
                      <?php echo $this->config->item('Currency_currency_format'); ?>
                    </span>
                  </div>
                  <input required value="0" class="form-control form_boq_task_add_fields m-input client_rate_fields_add" placeholder="" id="boq_task_unit_price_add" name="task_unit_price" aria-required="true" aria-invalid="false" aria-describedby="quantity-error">
                </div>
                <span class="m-form__help"></span>
              </div>
            </div>
            <div class="col-md-3" style=" float: right; ">
              <div class="form-group m-form__group">
                <label for="user_name">
                  Total Task Amount
                </label>
                <div class="input-group m-input-group m-input-group--pill m-input-group--air">
                  <div class="input-group-prepend">
                    <span class="input-group-text" id="basic-addon1">
                      <?php echo $this->config->item('Currency_currency_format'); ?>
                    </span>
                  </div>
                  <input readonly required value="0" class="form-control form_boq_task_add_fields m-input m-input--solid unit_quantity" placeholder="" id="total_boq_task_amount_add" name="total_price" aria-required="true" aria-invalid="false" aria-describedby="quantity-error">
                </div>
                <span class="m-form__help"></span>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-md-3" style=" float: right; ">
              <div class="form-group m-form__group">
                <label for="user_name">
                  Unit Price (Client)
                </label>
                <div class="input-group m-input-group m-input-group--pill m-input-group--air">
                  <div class="input-group-prepend">
                    <span class="input-group-text" id="basic-addon1">
                      <?php echo $this->config->item('Currency_currency_format'); ?>
                    </span>
                  </div>
                  <input required value="0" class="form-control form_boq_task_add_fields m-input unit_quantity client_rate_fields_add" placeholder="" id="boq_task_client_unit_price_add" name="client_unit_price" aria-required="true" aria-invalid="false" aria-describedby="quantity-error">
                </div>
                <span class="m-form__help"></span>
              </div>
            </div>
            <div class="col-lg-3 padding-0" >
              <div class="form-group m-form__group" >
                <label for="user_name">
                  <?php echo $this->config->item('Tax_tax_name')?> %
                </label>
                <div class="m-select2 m-select2--air m-select2--pill ">
                  <select required id="boq_task_client_tax_percent_add" name="client_tax_percent" style="width: 100%" class="form-control m-input form_boq_task_add_select client_rate_fields_add unit_quantity" aria-describedby="basic-addon1" data-placeholder="Select Tax Percentage">
                    <?php
                    $tax_percent = $this->config->item('Tax_tax_percent');
                    foreach($tax_percent as $row):
                      $selected_tax='';
                      if($row->tax_percentage==0){
                        $selected_tax='selected';
                      }
                      ?>
                      <option <?php echo $selected_tax?> data-tax-percent="<?php echo $row->tax_percentage?>" value="<?php echo $row->tax_id?>"><?php echo $row->tax_name?></option>
                      <?php
                    endforeach;
                    ?>
                  </select>
                </div>
                <span class="m-form__help"></span>
              </div>
            </div>
            <div class="col-md-3" style=" float: right; ">
              <div class="form-group m-form__group">
                <label for="user_name">
                  Tax Amount
                </label>
                <div class="input-group m-input-group m-input-group--pill m-input-group--air">
                  <div class="input-group-prepend">
                    <span class="input-group-text" id="basic-addon1">
                      <?php echo $this->config->item('Currency_currency_format'); ?>
                    </span>
                  </div>
                  <input readonly required value="0" class="form-control form_boq_task_add_fields m-input m-input--solid unit_quantity" placeholder="" id="boq_task_client_tax_amount_add" name="client_tax_amount" aria-required="true" aria-invalid="false" aria-describedby="quantity-error">
                </div>
                <span class="m-form__help"></span>
              </div>
            </div>
            <div class="col-md-3" style=" float: right; ">
              <div class="form-group m-form__group">
                <label for="user_name">
                  Total Amount (Client)
                </label>
                <div class="input-group m-input-group m-input-group--pill m-input-group--air">
                  <div class="input-group-prepend">
                    <span class="input-group-text" id="basic-addon1">
                      <?php echo $this->config->item('Currency_currency_format'); ?>
                    </span>
                  </div>
                  <input readonly required value="0" class="form-control form_boq_task_add_fields m-input m-input--solid unit_quantity" placeholder="" id="boq_task_client_total_price_add" name="client_total_price" aria-required="true" aria-invalid="false" aria-describedby="quantity-error">
                </div>
                <span class="m-form__help"></span>
              </div>
            </div>

          </div>
          <input type="hidden" value="<?= $boq_data->project_id; ?>" name="project_id">
          <input type="hidden" value="<?= $boq_data->boq_id; ?>" name="boq_id">
          <input type="hidden" name="redirect_url" value="<?php echo base_url(uri_string())?>" >
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
          <button type="submit" class="btn btn-primary">Add Task</button>
        </div>
      </form>
    </div>
  </div>
</div>

<div class="modal modal fade modals_reset"  id="boq_task_edit_modal"  role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog " role="document" style="max-width: 1184px">
    <div class="modal-content">
      <div class="modal-header" style="background-color: #36a3f7;border-radius: 4px">
        <h5 class="modal-title" id="exampleModalLabel" style="color: #ffffff" >
          Edit Task Details
        </h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">
            &times;
          </span>
        </button>
      </div>
      <form id="form_boq_task_edit" data-modal-id="boq_task_edit_modal" class="form_post m-form m-form--fit m-form--state m-form--label-align-right " action="<?= base_url()?>boq/update_boq_tasks/<?= $boq_data->boq_id; ?>" method="post">
        <div class="modal-body">
          <div class="m-form__content">
            <div class="m-alert m-alert--icon alert alert-warning m--hide" role="alert" id="form_boq_task_edit_msg">
              <div class="m-alert__icon">
                <i class="la la-warning"></i>
              </div>
              <div class="m-alert__text">
                Oh snap! Change a few things up and try submitting again.
              </div>
              <div class="m-alert__close">
                <button type="button" class="close" data-close="alert" aria-label="Close"></button>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-md-5">
              <div class="form-group m-form__group">
                <label for="user_name">
                  Work Type
                </label>
                <div class="m-select2 m-select2--air m-select2--pill">
                  <select style="width:100%" required class="form-control form_boq_task_edit_select m-input select2" id="boq_task_work_type_edit" name="work_type_id" aria-required="true" tabindex="-1"   aria-describedby="work_id-error">
                    <option required="" selected="" disabled="">Select Work Type</option>
                    <?php
                    foreach($project_work_types as $r) {
                      ?>
                      <option value="<?php echo $r->id ?>"><?php echo $r->type_name ?></option>
                    <?php }   ?>
                  </select>
                </div>
                <span class="m-form__help"></span>
              </div>
            </div>
            <div class="col-md-3">
              <div class="form-group m-form__group">
                <label for="user_name">
                  Total Quantity / Area
                </label>
                <div class="input-group m-input-group m-input-group--pill m-input-group--air">
                  <div class="input-group-prepend">
                    <span class="input-group-text" id="basic-addon1_edit">
                      <i class="la la-edit"></i>
                    </span>
                  </div>
                  <input  required class="form-control form_boq_task_edit_fields m-input client_rate_fields_edit" placeholder="" id="boq_task_quantity_edit" name="quantity_edit" aria-required="true" aria-invalid="false" aria-describedby="quantity-error">
                </div>
                <span class="m-form__help"></span>
              </div>
            </div>
            <div class="col-md-4 ">
              <div class="form-group m-form__group">
                <label for="user_name">
                  Measure Unit
                </label>
                <div class="m-select2 m-select2--air m-select2--pill" >
                  <select style="width:100%" required class="form-control form_boq_task_edit_select m-input" id="boq_task_unit_edit" name="unit_edit" aria-required="true" tabindex="-1"   aria-describedby="">
                    <option required="" selected="" disabled="">Select Measure Unit</option>
                    <?php
                    foreach($measure_units as $r) {
                      ?>
                      <option value="<?php echo $r->unit_id ?>"><?php echo $r->unit_name ?></option>
                    <?php }   ?>
                  </select>
                </div>
                <span class="m-form__help"></span>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-md-12">
              <div class="form-group m-form__group">
                <label for="user_name">
                  Task Description
                </label>
                <div class="input-group m-input-group m-input-group--pill m-input-group--air">
                  <textarea required="" class="form-control form_boq_task_edit_fields" name="description_edit" id="boq_task_description_edit" aria-required="true"></textarea>
                </div>
                <span class="m-form__help"></span>
              </div>
            </div>
          </div>
          <div style="margin-top: 23px;">
            <div class="m-section">
              <h3 class="m-section__heading">Item Requirments</h3>
              <div class="m-form__group form-group">
                <div class="m-radio-inline">
                  <label class="m-radio m-radio--bold m-radio--state-success">
                    <input type="radio" name="boq_items_have_edit" checked value="1"> Have Items
                    <span></span>
                  </label>
                  <label class="m-radio m-radio--bold m-radio--state-brand">
                    <input type="radio" name="boq_items_have_edit" value="0"> Haven't Items
                    <span></span>
                  </label>
                </div>
                <span class="m-form__help"></span>
              </div>
              <table style="width: 100%;max-width: 100%"  id="table_boq_items_edit" class="table order-list table-striped table-bordered table-advance table-hover">
                <thead>
                  <tr>
                    <th style="width:6%">Sl No</th>
                    <th style="width:20%">Item</th>
                    <th style="width:10%">Unit</th>
                    <th style="width:7%">Grade</th>
                    <th style="width:10%">Specification</th>
                    <th style="width:8%">Quantity</th>
                    <th style="width:9%">Unit Price</th>
                    <th style="width:12%">Total Price</th>
                    <th style="width:8%">Consumable<br/>Type</th>
                    <th style="width:6%"></th>
                  </tr>
                </thead>
                <tbody id="table_body_edit">

                </tbody>
                <tfoot>
                  <tr>
                    <td colspan="10"  style="text-align: left;border-bottom: 1px solid #e7ecf1;">
                      <button type="button"  class="btn btn-block " id="addrow_edit"><i class="fa fa-plus-square"></i> Add Item</button>
                    </td>
                  </tr>
                  <tr>
                  </tr>
                </tfoot>
              </table>
              <input type="hidden" value="0" id="current_row_count_edit" name="current_row_count_edit" >
            </div>
          </div>
          <div class="row">
            <div class="col-md-6"></div>
            <div class="col-md-3">
              <div class="form-group m-form__group" style="display:none" id="boq_task_unit_price_edit_div">
                <label for="user_name">
                  Unit Price
                </label>
                <div class="input-group m-input-group m-input-group--pill m-input-group--air">
                  <div class="input-group-prepend">
                    <span class="input-group-text" id="basic-addon1">
                      <?php echo $this->config->item('Currency_currency_format'); ?>
                    </span>
                  </div>
                  <input required value="0" class="form-control form_boq_task_edit_fields m-input client_rate_fields_edit" placeholder="" id="boq_task_unit_price_edit" name="task_unit_price" aria-required="true" aria-invalid="false" aria-describedby="quantity-error">
                </div>
                <span class="m-form__help"></span>
              </div>
            </div>
            <div class="col-md-3" style=" float: right; ">
              <div class="form-group m-form__group">
                <label for="user_name">
                  Total Item Amount
                </label>
                <div class="input-group m-input-group m-input-group--pill m-input-group--air">
                  <div class="input-group-prepend">
                    <span class="input-group-text" id="basic-addon1_edit">
                      <?php echo $this->config->item('Currency_currency_format'); ?>
                    </span>
                  </div>
                  <input readonly value="0" class="form-control form_boq_task_edit_fields m-input m-input--solid unit_quantity" placeholder="" id="total_boq_task_amount_edit" name="total_price_edit" aria-required="true" aria-invalid="false" aria-describedby="quantity-error">
                </div>
                <span class="m-form__help"></span>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-md-3" style=" float: right; ">
              <div class="form-group m-form__group">
                <label for="user_name">
                  Unit Price (Client)
                </label>
                <div class="input-group m-input-group m-input-group--pill m-input-group--air">
                  <div class="input-group-prepend">
                    <span class="input-group-text" id="basic-addon1">
                      <?php echo $this->config->item('Currency_currency_format'); ?>
                    </span>
                  </div>
                  <input required value="0" class="form-control form_boq_task_edit_fields m-input unit_quantity client_rate_fields_edit" placeholder="" id="boq_task_client_unit_price_edit" name="client_unit_price" aria-required="true" aria-invalid="false" aria-describedby="quantity-error">
                </div>
                <span class="m-form__help"></span>
              </div>
            </div>
            <div class="col-lg-3 padding-0" >
              <div class="form-group m-form__group" >
                <label for="user_name">
                  <?php echo $this->config->item('Tax_tax_name')?> %
                </label>
                <div class="m-select2 m-select2--air m-select2--pill ">
                  <select required id="boq_task_client_tax_percent_edit" name="client_tax_percent" style="width: 100%" class="form-control m-input form_boq_task_edit_select client_rate_fields_edit unit_quantity" aria-describedby="basic-addon1" data-placeholder="Select Tax Percentage">
                    <?php
                    $tax_percent = $this->config->item('Tax_tax_percent');
                    foreach($tax_percent as $row):
                      $selected_tax='';
                      if($row->tax_percentage==0){
                        $selected_tax='selected';
                      }
                      ?>
                      <option <?php echo $selected_tax?> data-tax-percent="<?php echo $row->tax_percentage?>" value="<?php echo $row->tax_id?>"><?php echo $row->tax_name?></option>
                      <?php
                    endforeach;
                    ?>
                  </select>
                </div>
                <span class="m-form__help"></span>
              </div>
            </div>
            <div class="col-md-3" style=" float: right; ">
              <div class="form-group m-form__group">
                <label for="user_name">
                  Tax Amount
                </label>
                <div class="input-group m-input-group m-input-group--pill m-input-group--air">
                  <div class="input-group-prepend">
                    <span class="input-group-text" id="basic-addon1">
                      <?php echo $this->config->item('Currency_currency_format'); ?>
                    </span>
                  </div>
                  <input readonly required value="0" class="form-control form_boq_task_edit_fields m-input m-input--solid unit_quantity" placeholder="" id="boq_task_client_tax_amount_edit" name="client_tax_amount" aria-required="true" aria-invalid="false" aria-describedby="quantity-error">
                </div>
                <span class="m-form__help"></span>
              </div>
            </div>
            <div class="col-md-3" style=" float: right; ">
              <div class="form-group m-form__group">
                <label for="user_name">
                  Total Amount (Client)
                </label>
                <div class="input-group m-input-group m-input-group--pill m-input-group--air">
                  <div class="input-group-prepend">
                    <span class="input-group-text" id="basic-addon1">
                      <?php echo $this->config->item('Currency_currency_format'); ?>
                    </span>
                  </div>
                  <input readonly value="0" class="form-control form_boq_task_edit_fields m-input m-input--solid unit_quantity" placeholder="" id="boq_task_client_total_price_edit" name="client_total_price" aria-required="true" aria-invalid="false" aria-describedby="quantity-error">
                </div>
                <span class="m-form__help"></span>
              </div>
            </div>

          </div>
          <input type="hidden" value="<?= $boq_data->project_id; ?>" name="project_id">
          <input type="hidden" value="<?= $boq_data->boq_id; ?>" name="boq_id">
          <input type="hidden"  name="boq_task_id_edit" id="boq_task_id_edit">
          <input type="hidden"  name="items_deleted" id="items_deleted">
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
          <button type="submit" class="btn btn-primary">Update Task</button>
        </div>
      </form>
    </div>
  </div>
</div>

<div class="modal fade modals_reset" tabindex="-1" id="boq_task_delete_modal" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog " role="document">
    <form autocomplete="off" id="form_boq_task_delete" data-modal-id="boq_task_delete_modal" method="post" action="<?= base_url()?>boq/delete_boq_task" class="form-horizontal">
      <div class="modal-content">
        <div class="alert alert-danger" role="alert" style="margin-bottom: 0px">
          <button type="button" class="close" data-dismiss="modal"></button>
          <br>
          <h4 class="alert-heading">Warning !</h4>
          <br>
          <p> Are you sure to delete this BOQ Task <strong id=""></strong> ? All the data associate with this will Lost. </p>
          <p>
            <button class="btn btn-danger" id="" type="submit" name="submit">Confirm &amp; Delete</button>
            <button type="button" class="btn btn-primary modal-dismiss" data-dismiss="modal">Cancel</button>
          </p>
          <div class="message_log"></div>
          <input type="hidden" value name="boq_task_id_delete" id="boq_task_id_delete">
          <input type="hidden" name="boq_id_delete2" id="boq_id_delete2">
        </div>
      </div>
    </form>
  </div>
</div>
<div class="modal fade modals_reset" tabindex="-1" id="boq_work_type_delete_modal" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog " role="document">
    <form autocomplete="off" id="form_boq_work_type_delete" data-modal-id="boq_work_type_delete_modal" method="post" action="<?= base_url()?>boq/delete_project_work_type" class="form-horizontal">
      <div class="modal-content">
        <div class="alert alert-danger" role="alert" style="margin-bottom: 0px">
          <button type="button" class="close" data-dismiss="modal"></button>
          <br>
          <h4 class="alert-heading">Warning !</h4>
          <br>
          <p> Are you sure to delete this Work Type <strong id=""></strong> ? All the data associate with this (Tasks & Item Requirements)  will Lost. </p>
          <p>
            <button class="btn btn-danger" id="" type="submit" name="submit">Confirm &amp; Delete</button>
            <button type="button" class="btn btn-primary modal-dismiss" data-dismiss="modal">Cancel</button>
          </p>
          <input type="hidden" value name="project_work_type_id" id="boq_work_type_delete">
          <input type="hidden" name="boq_id" id="boq_id_work_type_delete">
        </div>
      </div>
    </form>
  </div>
</div>

<div class="modal fade modals_reset" tabindex="-1" id="boq_daily_progress_delete_modal" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog " role="document">
    <form autocomplete="off" data-form-type="daily_progress_delete" id="form_boq_daily_progress_delete" data-modal-id="boq_daily_progress_delete_modal" method="post" action="<?= base_url()?>boq/delete_daily_progress" class="form-horizontal">
      <div class="modal-content">
        <div class="alert alert-danger" role="alert" style="margin-bottom: 0px">
          <button type="button" class="close" data-dismiss="modal"></button>
          <br>
          <h4 class="alert-heading">Warning !</h4>
          <br>
          <p><strong id="boq_daily_progress_delete_info"></strong></p>
          <p>
            <button class="btn btn-danger form_submit_btn" id="" type="submit" name="submit">Confirm &amp; Delete</button>
            <button type="button" class="btn btn-primary modal-dismiss" data-dismiss="modal">Cancel</button>
          </p>
          <div class="message_log"></div>
          <input type="hidden" name="id" id="boq_daily_progress_delete_id">
          <input type="hidden" name="type" id="boq_daily_progress_delete_type">
          <input type="hidden" name="boq_id" id="boq_id_daily_progress_delete">
          <input type="hidden" name="date" id="date_daily_progress_delete">
        </div>
      </div>
    </form>
  </div>
</div>
